{"swagger":"2.0","info":{"description":"7square empowers your real estate platform with real time insights and analytics.\nYou can find out more about us at [7square.ca](7square.ca)\n","version":"1.0.4","title":"7Square API","termsOfService":"https://www.7square.ca/inner-page.html","contact":{"email":"aakarsh@7square.ca"}},"host":"api-7square.herokuapp.com","basePath":"/v1","schemes":["http","https"],"paths":{"/basic-analytics":{"get":{"description":"Use this endpoint to get access to demographic, geolocation for any active listing.","tags":["Basic Plan"],"operationId":"tier1","produces":["application/json"],"parameters":[{"in":"query","name":"mlsNumber","description":"listing MLS Number","required":true,"type":"string"},{"in":"header","name":"token","description":"API token","required":true,"type":"string"}],"responses":{"200":{"description":"7Square statistics"},"400":{"description":"Bad input parameter"},"401":{"description":"Unauthorized"}}}},"/analytics":{"get":{"description":"Use this endpoint to get access to demographic, geolocation, rent and value estimation for any active listing.","tags":["Standard Plan"],"operationId":"tier2","produces":["application/json"],"parameters":[{"in":"query","name":"mlsNumber","description":"listing MLS Number","required":true,"type":"string"},{"in":"header","name":"token","description":"API token","required":true,"type":"string"}],"responses":{"200":{"description":"7Square statistics"},"400":{"description":"Bad input parameter"},"401":{"description":"Unauthorized"}}}},"/advanced-analytics":{"get":{"description":"Use this endpoint to get access to demographic, geolocation, neighbourhood averages, rent and value estimation for any active listing.","tags":["Premium Plan"],"operationId":"tier3","produces":["application/json"],"parameters":[{"in":"query","name":"mlsNumber","description":"listing MLS Number","required":true,"type":"string"},{"in":"header","name":"token","description":"API token","required":true,"type":"string"}],"responses":{"200":{"description":"7Square listing statistics"},"400":{"description":"Bad input parameter"},"401":{"description":"Unauthorized"}}}},"/comparables":{"get":{"description":"Use this endpoint to get access to active comparable assets for any active listing.","tags":["Premium Plan"],"operationId":"comparables","produces":["application/json"],"parameters":[{"in":"query","name":"mlsNumber","description":"listing MLS Number","required":true,"type":"string"},{"in":"header","name":"token","description":"API token","required":true,"type":"string"}],"responses":{"200":{"description":"7Square comparables"},"400":{"description":"Bad input parameter"},"401":{"description":"Unauthorized"}}}},"/history":{"get":{"description":"Get access to historic sold and rent data for any active listing.","tags":["Premium Plan"],"operationId":"history","produces":["application/json"],"parameters":[{"in":"query","name":"mlsNumber","description":"listing MLS Number","required":true,"type":"string"},{"in":"header","name":"token","description":"API token","required":true,"type":"string"}],"responses":{"200":{"description":"7Square listing history"},"400":{"description":"Bad input parameter"},"401":{"description":"Unauthorized"}}}},"/neighborhood":{"get":{"description":"Get access to neighborhood analysis for any Toronto neighborhood.","tags":["Premium Plan"],"operationId":"neighborhood","produces":["application/json"],"parameters":[{"in":"query","name":"neighborhood","required":true,"type":"string","description":"Toronto Neighborhoods ([List of neighborhoods](https://docs.google.com/document/d/1_fCyiUIH9baa3WbONJzOb0G0Gz89x2FfvdsH4V29XDE/edit?usp=sharing))"},{"in":"query","name":"year","description":"Year","required":false,"type":"string","enum":[2006,2007,2008,2009,2010,2011,2012,2013,2014,2015,2016,2017,2018,2019,2020,2021]},{"in":"query","name":"month","description":"Month (1-12)","required":false,"type":"string","enum":[1,2,3,4,5,6,7,8,9,10,11,12]},{"in":"query","name":"style","description":"Property style","required":false,"type":"string","enum":["2-Storey","3-Storey","Apartment","Backsplit/Sidesplit","Bungalow","Loft","Multi-Level","Stacked Townhse","Other"]},{"in":"query","name":"size","description":"Property size (sqft range)","required":false,"type":"string","enum":["0_499","500_999","1000_1499","1500_1999","2000_2499","2500_2999","3000_3499","3500_3999","4000_or_more"]},{"in":"header","name":"token","description":"API token","required":true,"type":"string"}],"responses":{"200":{"description":"7Square neighborhood analytics"},"400":{"description":"Bad input parameter"},"401":{"description":"Unauthorized"}}}},"/neighborhoodRent":{"get":{"description":"Get access to neighborhood rent analysis for any Toronto neighborhood.","tags":["Premium Plan"],"operationId":"neighborhoodRent","produces":["application/json"],"parameters":[{"in":"query","name":"neighborhood","required":true,"type":"string","description":"Toronto Neighborhoods ([List of neighborhoods](https://docs.google.com/document/d/1_fCyiUIH9baa3WbONJzOb0G0Gz89x2FfvdsH4V29XDE/edit?usp=sharing))"},{"in":"query","name":"year","description":"Year","required":false,"type":"string","enum":[2006,2007,2008,2009,2010,2011,2012,2013,2014,2015,2016,2017,2018,2019,2020]},{"in":"query","name":"month","description":"Month (1-12)","required":false,"type":"string","enum":[1,2,3,4,5,6,7,8,9,10,11,12]},{"in":"query","name":"propertyType","description":"Property Type","required":false,"type":"string","enum":["Detached","Condo Apt","Semi-Detached","Att/Row/Twnhouse","Condo Townhouse","Vacant Land","Link","Commercial/Retail","Comm Element Condo","Other"]},{"in":"query","name":"size","description":"Property size (sqft range)","required":false,"type":"string","enum":["0_499","500_999","1000_1499","1500_1999","2000_2499","2500_2999","3000_3499","3500_3999","4000_or_more"]},{"in":"header","name":"token","description":"API token","required":true,"type":"string"}],"responses":{"200":{"description":"7Square rent neighborhood analytics"},"400":{"description":"Bad input parameter"},"401":{"description":"Unauthorized"}}}}}}